index

Varkon Interactive users manual

# Circular arcs

A circular arc (or just arc in Varkon) can be a complete circle or only a part of a circle. Arc:s are planar curves with constant curvature and the sense of direction of an arc is always anticlockwise. An arc always has two ends just like a line or a curve and this is true even if the arc is a complete circle. The parametrisation along an arc is 0 to 1 and the parameter is relative to arc length.

## Methods

- Centre position radius and angles
- Two positions and radius
- Three positions
- Offset to another arc
- Fillet

Since arcs are planar curves they are always created in the XY-plane of the active coordinate system.

An arc can be converted to a curve using the composite curve method.

Varkon version 1.19E svn# 121M